package com.ozs.base.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ozs.base.domain.BaseAgency;
import com.ozs.base.vo.BaseAgentPageReqVo;
import com.ozs.common.core.domain.entity.SysProcurementStandard;

/**
 * 代理机构
 */
public interface BaseAgencyService  extends IService<BaseAgency> {

    int insert(BaseAgency baseAgency);

    BaseAgency getInfo(Long id);

    int updateInfo(BaseAgency baseAgency);

    int operationBlacklist(BaseAgency baseAgency);

//    IPage<BaseAgency> page(Page<BaseAgency> baseAgencyPage, BaseAgentPageReqVo vo);

    int remove(Long id);
}
